Module
Contents
Index 🔎︎

# Left Function

Vráti určený počet znakov zo začiatku reťazca.

## Syntax:

    Left (Text As String, n As Long)

## Návratová hodnota:

Reťazec

## Paremetre:

Text: Reťazec, ktorého časť chcete získať.

n: Číselný výraz určujúci počet znakov, ktoré chcete vrátiť. Ak n = 0, vráti sa prázdny reťazec. Maximálna povolená hodnota je 65535.

Nasledujúci príklad prevedie dátum vo formáte YYYY.MM.DD na formát MM/DD/YYYY.

## Error codes:

5 Neplatné volanie procedúry

## Príklad:

    Sub ExampleUSDate

    Dim sInput As String

    Dim sUS_date As String

        sInput = InputBox("Zadajte, prosím, dátum v medzinárodnom formáte 'YYYY-MM-DD'")

        sUS_date = Mid(sInput, 6, 2)

        sUS_date = sUS_date & "/"

        sUS_date = sUS_date & Right(sInput, 2)

        sUS_date = sUS_date & "/"

        sUS_date = sUS_date & Left(sInput, 4)

        MsgBox sUS_date

    End Sub